% -------------------------------------------------------------
% Used to produce Figure 2 in the article
% Field noise effects on NMR signals: Hahn echoes and CPMG,
% by S.Sykora, published in Stan's Library, Volume I, 2006.
% URL: www.ebyte.it/library
% -------------------------------------------------------------
clear;clc;clf;echo on;
t=   [-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14];
zerl=[ 0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0, 0,0,0,0,0,0,0,0,0,0,0,0,0,0];
wl=  [ 0,0,0,0,0,0,0,0,0,0,0,0,0,-0.5,1,-0.5,0,0,0,0,0,0,0,0,0,0,0,0,0];
w6=  [ 0,0,0,0.5,-1,-0.5,2,0.5,-3,-0.5,4,0.5,-5,-0.5,6,-0.5,-5,0.5,4,-0.5,-3,0.5,2,-0.5,-1,0.5,0,0,0];
plot(t,zerl,':k','LineWidth',2);
hold on;
plot(t,wl,'-k','LineWidth',1);
hold on;
plot(t,w6/6,'-k','LineWidth',2);
axis([-13.5 13.5 -1.1 1.1]);
set(gca,'FontSize',20);
set(gca,'LineWidth',2);
set(gca,'yTick',[-1,0,1]);
set(gca,'xTick',[-12,-8,4,0,4,8,12]);
